Module MierzenieCzasu

    Sub Main()
        Dim Watch As New Stopwatch()

        Watch.Start()

        ' Opóźniamy wykonywanie kodu
        For i As Integer = 1 To 1000000000
        Next

        Watch.Stop()

        ' Raportujemy zmierzony czas
        Console.WriteLine("Milisekundy " & Watch.ElapsedMilliseconds)
        Console.WriteLine("Tyknięcia: " & Watch.ElapsedTicks)
        Console.WriteLine("Częstotliwość: " & Stopwatch.Frequency)
        Console.WriteLine("Całe sekundy: " & Watch.Elapsed.Seconds)
        Console.WriteLine("Sekundy (obiekt TimeSpan): " & Watch.Elapsed.TotalSeconds)
        Console.WriteLine("Sekundy (największa precyzja): " & _
          Watch.ElapsedTicks / Stopwatch.Frequency)
        Console.ReadLine()
    End Sub

End Module
